import sys,os
sys.path.append(os.path.abspath('../'))

# Import the viiaPackage
from rhdhv_fem.fem_math import fem_area
from viiapackage import *

# Initiate the session
project = viia_create_project(project_name='exercise-3-model', version_nr=1)

# Load the model in the json that was created with the model script (model sub folder)
project.viia_read_dump('model', False)

# Creating supports
project.viia_create_supports('FixedBase')

# Applying the strengthening measure L3-A
floor = fem_find_object('N1-VLOEREN-LIN-HBV-PLANKEN-0.018-0.080-0.200-0.770-1', project.collections.floors)
floor_material = project.viia_create_material('LIN-HBV-PLATEN-0.024-0.080-0.200-0.770')
floor.material = floor_material
floor.name = 'N1-VLOEREN-LIN-HBV-PLATEN-0.024-0.080-0.200-0.770-1'
project.viia_adjust_mass_of_surface(floor.material.mass_density*9.81/fem_area(floor.get_points()),floor)
floor.add_geometry_eccentricity(z=0.102)

# Set data properties to all shapes for flexbase model
project.viia_create_all_datas()

# Create the model
project.viia_create_model()
